import { Location } from '../../earth/types/LocationTypes';
import { EclipticSphericalCoordinates, EquatorialSphericalCoordinates, LocalHorizontalCoordinates, RectangularCoordinates } from '../types/CoordinateTypes';
export declare function rectangular2spherical(coords: RectangularCoordinates): EclipticSphericalCoordinates;
export declare function spherical2rectangular(coords: EclipticSphericalCoordinates): RectangularCoordinates;
export declare function equatorialSpherical2topocentricSpherical(coords: EquatorialSphericalCoordinates, location: Location, T: number): EquatorialSphericalCoordinates;
export declare function equatorialSpherical2topocentricHorizontal(coords: EquatorialSphericalCoordinates, location: Location, T: number): LocalHorizontalCoordinates;
export declare function equatorialSpherical2topocentricHorizontalByLocalHourAngle(localHourAngle: number, declination: number, lat: number, radiusVector?: number): LocalHorizontalCoordinates;
export declare function eclipticSpherical2equatorialSpherical(coords: EclipticSphericalCoordinates, T: number, normalize?: boolean): EquatorialSphericalCoordinates;
export declare function equatorialSpherical2eclipticSpherical(coords: EquatorialSphericalCoordinates, T: number): EclipticSphericalCoordinates;
export declare function rectangularHeliocentric2rectangularGeocentric(heliocentricCoords: RectangularCoordinates, heliocentricCoordsEarth: RectangularCoordinates): RectangularCoordinates;
export declare function rectangularGeocentric2rectangularHeliocentric(geocentricCoords: RectangularCoordinates, heliocentricCoordsEarth: RectangularCoordinates): RectangularCoordinates;
export declare function earthEclipticSpherical2sunEclipticSpherical(coordsEarth: EclipticSphericalCoordinates): EclipticSphericalCoordinates;
export declare function eclipticJ20002eclipticDate(lon: number, lat: number, radiusVector: number, T: number): EclipticSphericalCoordinates;
export declare function getEquatorialParallax(d: number): number;
export declare function getRhoSinLat(lat: number, elevation: number): number;
export declare function getRhoCosLat(lat: number, elevation: number): number;
