"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const magnitudeCalc_1 = require("./calculations/magnitudeCalc");
const diameters_1 = require("./constants/diameters");
const Planet_1 = __importDefault(require("./Planet"));
class Uranus extends Planet_1.default {
    constructor(toi, useVsop87Short) {
        super(toi, 'uranus', useVsop87Short);
    }
    get diameter() {
        return diameters_1.DIAMETER_URANUS;
    }
    get vsop87J2000() {
        return Promise.resolve().then(() => __importStar(require('./vsop87/vsop87UranusSphericalJ2000')));
    }
    get vsop87Date() {
        return Promise.resolve().then(() => __importStar(require('./vsop87/vsop87UranusSphericalDate')));
    }
    get vsop87DateShort() {
        return Promise.resolve().then(() => __importStar(require('./vsop87/vsop87UranusSphericalDateShort')));
    }
    calculateApparentMagnitude(distanceSun, distanceEarth, phaseAngle) {
        return (0, magnitudeCalc_1.getApparentMagnitudeUranus)(distanceSun, distanceEarth, phaseAngle);
    }
}
exports.default = Uranus;
