"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const eventCircumstancesCalc_1 = require("./calculations/eventCircumstancesCalc");
const createObservationalCircumstances_1 = __importDefault(require("./createObservationalCircumstances"));
class LocalCircumstances {
    constructor(besselianElements, location) {
        this.besselianElements = besselianElements;
        this.location = location;
    }
    getObservationalCircumstancesForC1() {
        const circumstances = (0, eventCircumstancesCalc_1.getTimeLocationCircumstancesC1)(this.besselianElements, this.location);
        return (0, createObservationalCircumstances_1.default)(circumstances);
    }
    getObservationalCircumstancesForC2() {
        const circumstances = (0, eventCircumstancesCalc_1.getTimeLocationCircumstancesC2)(this.besselianElements, this.location);
        return (0, createObservationalCircumstances_1.default)(circumstances);
    }
    getObservationalCircumstancesForMaxEclipse() {
        const circumstances = (0, eventCircumstancesCalc_1.getTimeLocationCircumstancesMaxEclipse)(this.besselianElements, this.location);
        return (0, createObservationalCircumstances_1.default)(circumstances);
    }
    getObservationalCircumstancesForC3() {
        const circumstances = (0, eventCircumstancesCalc_1.getTimeLocationCircumstancesC3)(this.besselianElements, this.location);
        return (0, createObservationalCircumstances_1.default)(circumstances);
    }
    getObservationalCircumstancesForC4() {
        const circumstances = (0, eventCircumstancesCalc_1.getTimeLocationCircumstancesC4)(this.besselianElements, this.location);
        return (0, createObservationalCircumstances_1.default)(circumstances);
    }
}
exports.default = LocalCircumstances;
