"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const createLocation_1 = __importDefault(require("../earth/createLocation"));
const createLocalCircumstances_1 = __importDefault(require("./createLocalCircumstances"));
class SolarEclipse {
    constructor(besselianElements) {
        this.besselianElements = besselianElements;
    }
    getBesselianElements() {
        return this.besselianElements;
    }
    getLocationOfGreatestEclipse() {
        const { latGreatestEclipse, lonGreatestEclipse } = this.besselianElements;
        return (0, createLocation_1.default)(latGreatestEclipse, lonGreatestEclipse);
    }
    getLocalCircumstances(location) {
        return (0, createLocalCircumstances_1.default)(this.besselianElements, location);
    }
}
exports.default = SolarEclipse;
